Bug 1939903 - The accessibility onscreen keyboard does not work on my computer.
Summary: The accessibility onscreen keyboard does not work on my computer.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1589850
TreeView+ depends on / blocked
 
Reported: 2021-03-17 09:52 UTC by Lukas Ruzicka
Modified: 2022-06-07 21:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 21:12:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Ruzicka 2021-03-17 09:52:54 UTC
Description of problem:

When I want to use the onscreen keyboard, it never appears although the switch in the accessibility menu is switched to ON.

In journalctl, the following lines appear when I switch it on:
===
bře 17 10:47:09 vseved systemd[2064]: Started Application launched by gnome-session-binary.
bře 17 10:47:09 vseved systemd[2064]: Started Application launched by gnome-session-binary.
bře 17 10:47:09 vseved systemd[2064]: app-glib-at\x2dspi\x2ddbus\x2dbus-4483.scope: Deactivated successfully.
bře 17 10:47:09 vseved systemd[2064]: app-gnome-at\x2dspi\x2ddbus\x2dbus-4483.scope: Deactivated successfully.
===

It looks like it is deactivated before it even started. 

Later, when I want to switch it off, I will get another lines which sort of confirm that:

===
bře 17 10:47:26 vseved gnome-session[2174]: gnome-session-binary[2174]: WARNING: Not able to stop app from its condition: Not running
bře 17 10:47:26 vseved gnome-session-binary[2174]: WARNING: Not able to stop app from its condition: Not running
===

Version-Release number of selected component (if applicable):

gnome-shell-40.0~rc-1.fc34.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Switch on accessibility settings on Settings.
2. In the menu, switch on the onscreen keyboard.
3. It will not be displayed.

Actual results:


Expected results:


Additional info:

Comment 1 Joe Pesco 2021-03-19 10:21:43 UTC
I've noted that onscreen keyboard doesn't appear while using classic Gnome and using the testing image: Fedora-Workstation-Live-x86_64-34-20210316.n.103.iso.

Comment 2 Ben Cotton 2022-05-12 15:14:41 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Ben Cotton 2022-06-07 21:12:27 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.